Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl
Class AdhocQueryRequestTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.rs.impl.RegistryRequestTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.AdhocQueryRequestTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AdhocQueryRequestType, RegistryRequestType

    public class AdhocQueryRequestTypeImpl

extends RegistryRequestTypeImpl
implements AdhocQueryRequestType

An implementation of the model object 'Adhoc Query Request Type'.

The following features are implemented:

- `Response Option`
- `Adhoc Query`
- `Federated`
- `Federation`
- `Max Results`
- `Start Index`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAdhocQuery(AdhocQueryType newAdhocQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetResponseOption(ResponseOptionType newResponseOption, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AdhocQueryType` | `getAdhocQuery()`
`java.lang.String` | `getFederation()`
`java.math.BigInteger` | `getMaxResults()`
`ResponseOptionType` | `getResponseOption()`
`java.math.BigInteger` | `getStartIndex()`
`boolean` | `isFederated()`
`boolean` | `isSetFederated()`
`boolean` | `isSetMaxResults()`
`boolean` | `isSetStartIndex()`
`void` | `setAdhocQuery(AdhocQueryType newAdhocQuery)`
`void` | `setFederated(boolean newFederated)`
`void` | `setFederation(java.lang.String newFederation)`
`void` | `setMaxResults(java.math.BigInteger newMaxResults)`
`void` | `setResponseOption(ResponseOptionType newResponseOption)`
`void` | `setStartIndex(java.math.BigInteger newStartIndex)`
`java.lang.String` | `toString()`
`void` | `unsetFederated()`
`void` | `unsetMaxResults()`
`void` | `unsetStartIndex()`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._3._0.rs.impl.RegistryRequestTypeImpl
`basicSetRequestSlotList, getComment, getId, getRequestSlotList, setComment, setId, setRequestSlotList`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryRequestType
`getComment, getId, getRequestSlotList, setComment, setId, setRequestSlotList`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getResponseOption

    public ResponseOptionType getResponseOption()

  Specified by:
    `getResponseOption` in interface `AdhocQueryRequestType`
  Returns:
    the value of the 'Response Option' containment reference.
  See Also:
    `AdhocQueryRequestType.setResponseOption(ResponseOptionType)`, `QueryPackage.getAdhocQueryRequestType_ResponseOption()`

### basicSetResponseOption

    public org.eclipse.emf.common.notify.NotificationChain basicSetResponseOption(ResponseOptionType newResponseOption,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setResponseOption

    public void setResponseOption(ResponseOptionType newResponseOption)

  Specified by:
    `setResponseOption` in interface `AdhocQueryRequestType`
  Parameters:
    `newResponseOption` - the new value of the 'Response Option' containment reference.
  See Also:
    `AdhocQueryRequestType.getResponseOption()`

### getAdhocQuery

    public AdhocQueryType getAdhocQuery()

  Specified by:
    `getAdhocQuery` in interface `AdhocQueryRequestType`
  Returns:
    the value of the 'Adhoc Query' containment reference.
  See Also:
    `AdhocQueryRequestType.setAdhocQuery(AdhocQueryType)`, `QueryPackage.getAdhocQueryRequestType_AdhocQuery()`

### basicSetAdhocQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetAdhocQuery(AdhocQueryType newAdhocQuery,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setAdhocQuery

    public void setAdhocQuery(AdhocQueryType newAdhocQuery)

  Specified by:
    `setAdhocQuery` in interface `AdhocQueryRequestType`
  Parameters:
    `newAdhocQuery` - the new value of the 'Adhoc Query' containment reference.
  See Also:
    `AdhocQueryRequestType.getAdhocQuery()`

### isFederated

    public boolean isFederated()

  Specified by:
    `isFederated` in interface `AdhocQueryRequestType`
  Returns:
    the value of the 'Federated' attribute.
  See Also:
    `AdhocQueryRequestType.isSetFederated()`, `AdhocQueryRequestType.unsetFederated()`, `AdhocQueryRequestType.setFederated(boolean)`, `QueryPackage.getAdhocQueryRequestType_Federated()`

### setFederated

    public void setFederated(boolean newFederated)

  Specified by:
    `setFederated` in interface `AdhocQueryRequestType`
  Parameters:
    `newFederated` - the new value of the 'Federated' attribute.
  See Also:
    `AdhocQueryRequestType.isSetFederated()`, `AdhocQueryRequestType.unsetFederated()`, `AdhocQueryRequestType.isFederated()`

### unsetFederated

    public void unsetFederated()

  Specified by:
    `unsetFederated` in interface `AdhocQueryRequestType`
  See Also:
    `AdhocQueryRequestType.isSetFederated()`, `AdhocQueryRequestType.isFederated()`, `AdhocQueryRequestType.setFederated(boolean)`

### isSetFederated

    public boolean isSetFederated()

  Specified by:
    `isSetFederated` in interface `AdhocQueryRequestType`
  Returns:
    whether the value of the 'Federated' attribute is set.
  See Also:
    `AdhocQueryRequestType.unsetFederated()`, `AdhocQueryRequestType.isFederated()`, `AdhocQueryRequestType.setFederated(boolean)`

### getFederation

    public java.lang.String getFederation()

  Specified by:
    `getFederation` in interface `AdhocQueryRequestType`
  Returns:
    the value of the 'Federation' attribute.
  See Also:
    `AdhocQueryRequestType.setFederation(String)`, `QueryPackage.getAdhocQueryRequestType_Federation()`

### setFederation

    public void setFederation(java.lang.String newFederation)

  Specified by:
    `setFederation` in interface `AdhocQueryRequestType`
  Parameters:
    `newFederation` - the new value of the 'Federation' attribute.
  See Also:
    `AdhocQueryRequestType.getFederation()`

### getMaxResults

    public java.math.BigInteger getMaxResults()

  Specified by:
    `getMaxResults` in interface `AdhocQueryRequestType`
  Returns:
    the value of the 'Max Results' attribute.
  See Also:
    `AdhocQueryRequestType.isSetMaxResults()`, `AdhocQueryRequestType.unsetMaxResults()`, `AdhocQueryRequestType.setMaxResults(BigInteger)`, `QueryPackage.getAdhocQueryRequestType_MaxResults()`

### setMaxResults

    public void setMaxResults(java.math.BigInteger newMaxResults)

  Specified by:
    `setMaxResults` in interface `AdhocQueryRequestType`
  Parameters:
    `newMaxResults` - the new value of the 'Max Results' attribute.
  See Also:
    `AdhocQueryRequestType.isSetMaxResults()`, `AdhocQueryRequestType.unsetMaxResults()`, `AdhocQueryRequestType.getMaxResults()`

### unsetMaxResults

    public void unsetMaxResults()

  Specified by:
    `unsetMaxResults` in interface `AdhocQueryRequestType`
  See Also:
    `AdhocQueryRequestType.isSetMaxResults()`, `AdhocQueryRequestType.getMaxResults()`, `AdhocQueryRequestType.setMaxResults(BigInteger)`

### isSetMaxResults

    public boolean isSetMaxResults()

  Specified by:
    `isSetMaxResults` in interface `AdhocQueryRequestType`
  Returns:
    whether the value of the 'Max Results' attribute is set.
  See Also:
    `AdhocQueryRequestType.unsetMaxResults()`, `AdhocQueryRequestType.getMaxResults()`, `AdhocQueryRequestType.setMaxResults(BigInteger)`

### getStartIndex

    public java.math.BigInteger getStartIndex()

  Specified by:
    `getStartIndex` in interface `AdhocQueryRequestType`
  Returns:
    the value of the 'Start Index' attribute.
  See Also:
    `AdhocQueryRequestType.isSetStartIndex()`, `AdhocQueryRequestType.unsetStartIndex()`, `AdhocQueryRequestType.setStartIndex(BigInteger)`, `QueryPackage.getAdhocQueryRequestType_StartIndex()`

### setStartIndex

    public void setStartIndex(java.math.BigInteger newStartIndex)

  Specified by:
    `setStartIndex` in interface `AdhocQueryRequestType`
  Parameters:
    `newStartIndex` - the new value of the 'Start Index' attribute.
  See Also:
    `AdhocQueryRequestType.isSetStartIndex()`, `AdhocQueryRequestType.unsetStartIndex()`, `AdhocQueryRequestType.getStartIndex()`

### unsetStartIndex

    public void unsetStartIndex()

  Specified by:
    `unsetStartIndex` in interface `AdhocQueryRequestType`
  See Also:
    `AdhocQueryRequestType.isSetStartIndex()`, `AdhocQueryRequestType.getStartIndex()`, `AdhocQueryRequestType.setStartIndex(BigInteger)`

### isSetStartIndex

    public boolean isSetStartIndex()

  Specified by:
    `isSetStartIndex` in interface `AdhocQueryRequestType`
  Returns:
    whether the value of the 'Start Index' attribute is set.
  See Also:
    `AdhocQueryRequestType.unsetStartIndex()`, `AdhocQueryRequestType.getStartIndex()`, `AdhocQueryRequestType.setStartIndex(BigInteger)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `RegistryRequestTypeImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RegistryRequestTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RegistryRequestTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RegistryRequestTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RegistryRequestTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RegistryRequestTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD